package com.yihu.wlyy.entity.doctor.survey;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * Created by Reece on 2017/3/8.
 */
@Entity
@Table(name = "wlyy_survey_questions_options")
public class SurveyQuestionsOptions extends IdEntity implements Serializable {

//  选项编码
    private String code;
//    是否有选项说明（0没有 1有）
    private Integer haveComment;
//    	题库问题编码
    private String questionCode;
//    选项内容
    private String content;
//    题库题目编码
//    private String questionsCode;
//    下一题问题编码（逻辑跳转）
//    private String questionCodeNext;
//  选项说明是否必填（0否 1是）
    private Integer isRequired;
//    单题内排序
    private Integer sort;
//    删除标志（1正常，0删除）
    private Integer del;

    public SurveyQuestionsOptions() {
    }

    public SurveyQuestionsOptions(String code, Integer haveComment, String questionCode, String content, Integer isRequired, Integer sort, Integer del) {
        this.code = code;
        this.haveComment = haveComment;
        this.questionCode = questionCode;
        this.content = content;
        this.isRequired = isRequired;
        this.sort = sort;
        this.del = del;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getHaveComment() {
        return haveComment;
    }

    public void setHaveComment(Integer haveComment) {
        this.haveComment = haveComment;
    }

    public String getQuestionCode() {
        return questionCode;
    }

    public void setQuestionCode(String questionCode) {
        this.questionCode = questionCode;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}
